%global udevdir %(pkg-config --variable=udevdir udev)
%global port_version 0.12.1

Summary:        Library for accessing digital cameras
Name:           libgphoto2
Version:        2.5.30
Release:        3%{?dist}
License:        GPLv2+ and GPLv2
URL:            http://www.gphoto.org/
Source0:        http://downloads.sourceforge.net/gphoto/%{name}-%{version}.tar.bz2
Patch3000:      gphoto2-pkgcfg.patch
Patch3001:      gphoto2-device-return.patch

BuildRequires:  make gcc gcc-c++
BuildRequires:  systemd lockdev-devel libtool-ltdl-devel
BuildRequires:  libjpeg-devel libcurl-devel gd-devel
BuildRequires:  pkgconfig(libxml-2.0) pkgconfig(libexif) pkgconfig(libusb-1.0)

%description
This package provides a library that can be used by applications to access various digital 
cameras. In contrast to gphoto, libgphoto2 is not a GUI application by itself, but it does 
have GUI frontends for gphoto2 libraries, such as gtkam.

%package devel
Summary:        Headers and links to compile against the libgphoto2 library
Requires:       %{name} = %{version}-%{release}
Provides:       gphoto2-devel = %{version}-%{release}

%description devel
This package provides files needed to compile applications that use libgphoto2.

%prep
%autosetup -p1
for f in AUTHORS ChangeLog COPYING libgphoto2_port/AUTHORS libgphoto2_port/COPYING.LIB `find -name 'README.*'`; do
    iconv -f ISO-8859-1 -t UTF-8 $f > $f.conv && mv -f $f.conv $f
done

%build
%configure \
    udevscriptdir='%{udevdir}'   \
    --with-drivers=all           \
    --with-doc-dir=%{_pkgdocdir} \
    --disable-static             \
    --disable-rpath              \
    %{nil}

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool libgphoto2_port/libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool libgphoto2_port/libtool


%make_build

%install
%make_install mandir=%{_mandir}

pushd packaging/generic/
  export LIBDIR=%{buildroot}%{_libdir}
  export CAMLIBS=%{buildroot}%{_libdir}/%{name}/%{version}
  export LD_LIBRARY_PATH=%{buildroot}%{_libdir}

  mkdir -p %{buildroot}%{_udevrulesdir}
  %{buildroot}%{_libdir}/%{name}/print-camera-list udev-rules version 201 > %{buildroot}%{_udevrulesdir}/40-libgphoto2.rules
  mkdir -p %{buildroot}%{_udevhwdbdir}
  %{buildroot}%{_libdir}/%{name}/print-camera-list hwdb version 201 > %{buildroot}%{_udevhwdbdir}/20-gphoto2.hwdb
popd

rm -f %{buildroot}%{_includedir}/gphoto2/gphoto2

rm -f %{buildroot}%{_libdir}/libgphoto2/print-camera-list

find %{buildroot} -type f -name "*.la" -print -delete

mkdir __doc
rm -rf %{buildroot}%{_pkgdocdir}_port/{AUTHORS,NEWS,README}
mv %{buildroot}%{_pkgdocdir}/* __doc
rm -rf %{buildroot}%{_pkgdocdir}
rm -rf %{buildroot}%{_datadir}/libgphoto2_port/*/vcamera/

%find_lang %{name}-6
%find_lang %{name}_port-12
cat libgphoto2*.lang >> %{name}.lang

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md NEWS
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/%{version}/
%dir %{_libdir}/%{name}_port/
%dir %{_libdir}/%{name}_port/%{port_version}/
%{_libdir}/%{name}.so.*
%{_libdir}/%{name}_port.so.*
%{_libdir}/%{name}/%{version}/*.so
%{_libdir}/%{name}_port/%{port_version}/*.so
%{_udevrulesdir}/40-libgphoto2.rules
%{_udevhwdbdir}/20-gphoto2.hwdb
%{udevdir}/check-ptp-camera
%{_datadir}/libgphoto2/

%files devel
%doc __doc/*
%{_bindir}/gphoto2-config
%{_bindir}/gphoto2-port-config
%{_includedir}/gphoto2/
%{_libdir}/%{name}.so
%{_libdir}/%{name}_port.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}_port.pc
%{_mandir}/man3/%{name}.3*
%{_mandir}/man3/%{name}_port.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.30-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.30-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 Wang Guodong <gordonwwang@tencent.com> - 2.5.30-1
- package init.
